#
# spec file for package l2h (Version 99.2beta8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ghostscript-fonts-std ghostscript-library ghostscript-serv glib libnetpbm libpng netpbm te_latex tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext ghostscript-fonts-std ghostscript-library ghostscript-serv glib glibc glibc-devel gpm gppshare grep groff gzip kbd less libnetpbm libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         l2h
%define prefix /usr
URL:          http://www.latex2html.org
Copyright:    1993 Nikos Drakos
Group:        Applications/Publishing/TeX
Provides:     l2h99_1 
Requires:     tetex te_latex netpbm perl ghostscript_any glib
Autoreqprov:  on
Version:      99.2beta8
Release:      165
Summary:      LaTeX2HTML converter
BuildArchitectures: noarch
Source: latex2html-%{version}.tar.gz
Patch:  latex2html-%{version}.dif
Patch1:  latex2html-%{version}-url.patch
BuildRoot: /var/tmp/l2h-root

%description
LaTeX2HTML lets you easily convert not too complex LaTeX-documents
into the WWW format HTML. This enables one to have both a written and
online version of even older LaTeX texts.
Please look out for the corresponding variables in /etc/rc.config!!!
Documentation may be found in:
/usr/share/doc/packages/l2h

Authors:
--------
    Jens Lippmann <lippmann@cdc.informatik.tu-darmstadt.de>
    Nikos Drakos <nikos@cbl.leeds.ac.uk>
    Ross Moore <ross@mpce.mq.edu.au>

SuSE series: tex

%prep
%setup -n latex2html-%{version}
%patch
%patch1

%build
./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
make install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1                                  
install -m 644 latex2html.man $RPM_BUILD_ROOT/%{_mandir}/man1/latex2html.1     
mkdir inst_doc
mv $RPM_BUILD_ROOT/usr/lib/latex2html/{docs,example} inst_doc

%clean
rm -rf $RPM_BUILD_ROOT

%postun
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%post
# echo "Updating etc/rc.config..."
# if [ -x bin/fillup ] ; then
#     #
#     # fill the susewm variables into /etc/rc.config
#     #
#     bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.l2h
# else
#     echo "ERROR: fillup not found. This should not happen. Please compare"
#     echo "etc/rc.config and etc/rc.config.l2h and update by hand."
# fi
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash

%files
%defattr(-, root, root)
%doc Changes FAQ README TODO dot.latex2html-init readme.hthtml
%doc inst_doc/* tests
/usr/lib/latex2html
/usr/bin/*
/usr/share/texmf/tex/latex/html
%{_mandir}/man1/latex2html*

%changelog -n l2h
* Thu Aug 02 2001 - utuerk@suse.de
- added glib to Requires and neededforbuild
  to configure l2h to use png by default
* Thu Jul 26 2001 - kukuk@suse.de
- fix needed for build
* Wed Jul 18 2001 - nadvornik@suse.cz
- updated URL and README (bug #9386)
* Wed Mar 07 2001 - cihlar@suse.cz
- fixed neededforbuild
* Thu Dec 07 2000 - nadvornik@suse.cz
- added te_latex to Requires
* Fri Dec 01 2000 - nadvornik@suse.cz
- update to 99.2beta8
* Wed Aug 30 2000 - nadvornik@suse.cz
- configured to use png by default
* Thu Aug 03 2000 - nadvornik@suse.cz
- added man page
- spec file cleanup
* Mon Sep 20 1999 - ro@suse.de
- added Requires: ghostscript_any
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 02 1999 - ke@suse.de
- update: version 99.1
- the rc.config variables are gone.
* Wed Apr 07 1999 - ro@suse.de
- fixed tex/latex link
* Thu Jul 02 1998 - ro@suse.de
- fixed bash2-bug in SuSEconfig.l2h
* Wed Mar 18 1998 - ro@suse.de
- added touch var/adm/SuSEconfig/run-texhash to %%post
* Tue Jun 10 1997 - maddin@suse.de
- reordered the directory structure
- latex2html now sits partly in /var/lib/latex2html (writable part) and
  /usr/lib/latex2html (read-only part)
- made absolute links relative ones
- removed some links
- restructured /sbin/conf.d/SuSEconfig.l2h
* Thu May 22 1997 - maddin@suse.de
- first S.u.S.E. version 96-1.h
- placed the package in /usr/lib/latex2html
- documentation manual to separate package l2hhtml
- variables in rc.config to configure the package
